﻿using Microsoft.EntityFrameworkCore;

namespace ELTE.TodoList.Web.Models
{
    public static class DbInitializer
    {
        public static void Initialize(TodoListDbContext context)
        {
            // Use only one of the below.
            // Create / update database based on migration classes.
            context.Database.Migrate();
            // Create database if not exists based on current code-first model (no migrations!).
            //context.Database.EnsureCreated();

            if (context.Lists.Any())
            {
                return;
            }

            IList<List> defaultLists = new List<List>
            {
                new List
                {
                    Name = "Bevasarlas",
                    Items = new List<Item>()
                    {
                        new Item()
                        {
                            Name = "Alma",
                            Deadline = DateTime.Now.AddDays(1)
                        },
                        new Item()
                        {
                            Name = "Korte",
                            Deadline = DateTime.Now.AddDays(1)
                        },
                        new Item()
                        {
                            Name = "Bor",
                            Deadline = DateTime.Now
                        }
                    }
                },
                new List
                {
                    Name = "Beadandok",
                    Items = new List<Item>()
                    {
                        new Item()
                        {
                            Name = "MVC beadando",
                            Description = "Nem lesz nehez.",
                            Deadline = DateTime.Now.AddDays(7)
                        },
                        new Item()
                        {
                            Name = "WebAPI beadando",
                            Description = "Ez meg kevesbe lesz nehez.",
                            Deadline = DateTime.Now.AddDays(10)
                        }
                    }
                }
            };

            context.AddRange(defaultLists);
            context.SaveChanges();
        }
    }
}
